WINE question

"Please leave a message at the beep, we will get back to you when your support contract expires."

Moderators: phlip, Moderators General, Prelates

User avatar
TheTedinator
Posts: 62
Joined: Mon Jul 06, 2009 6:43 am UTC
Location: Oregon

WINE question

Postby TheTedinator » Thu Mar 11, 2010 8:22 pm UTC

So i'm using wine in OSX (Snow Leopard), and I'm just seeing how it works. The only .exe file i have is a semi-legal version of halo, so i'm trying to get that to run. When I open it, and then tell it to run in wine, X11 tells me "Cannot allocate required memory. Some other application has loaded where halo needs to be located. Using WineBottler, it will create an app for it, but then when I try to open it, it gets to "launching.." and then goes away. Any help?

User avatar
Jorpho
Posts: 6290
Joined: Wed Dec 12, 2007 5:31 am UTC
Location: Canada

Re: WINE question

Postby Jorpho » Thu Mar 11, 2010 9:36 pm UTC

http://appdb.winehq.org/appview.php?iVersionId=2720 says it works and that it doesn't need the CD if it's 1.08 or above. If it's not 1.08 or above, then perhaps someone applied some wacky no-CD crack to it that does something WINE doesn't like. So what version is it?

Alternatively, it might be a better idea to first get some other exe and see if it runs. They're not exactly hard to find.

User avatar
kernelpanic
Posts: 891
Joined: Tue Oct 28, 2008 1:26 am UTC
Location: 1.6180339x10^18 attoparsecs from Earth

Re: WINE question

Postby kernelpanic » Thu Mar 11, 2010 11:09 pm UTC

What amount of memory do you have? It should be enough, but maybe it isn't (I think I have broken the record for the vaguest HD answer ever!)
Jorpho wrote:They're not exactly hard to find.

But don't go around and download anything.
I'm not disorganized. My room has a high entropy.
Bhelliom wrote:Don't forget that the cat probably knows EXACTLY what it is doing is is most likely just screwing with you. You know, for CAT SCIENCE!

Image

User avatar
phillipsjk
Posts: 1213
Joined: Wed Nov 05, 2008 4:09 pm UTC
Location: Edmonton AB Canada
Contact:

Re: WINE question

Postby phillipsjk » Fri Mar 12, 2010 3:33 am UTC

I got that error under Window XP: the latest patch from Gearbox fixed it (Microsoft sold the rights or something).

I think it happens if you have more than 2GB or RAM.
Did you get the number on that truck?

User avatar
TheTedinator
Posts: 62
Joined: Mon Jul 06, 2009 6:43 am UTC
Location: Oregon

Re: WINE question

Postby TheTedinator » Fri Mar 12, 2010 5:14 pm UTC

Jorpho wrote:http://appdb.winehq.org/appview.php?iVersionId=2720 says it works and that it doesn't need the CD if it's 1.08 or above. If it's not 1.08 or above, then perhaps someone applied some wacky no-CD crack to it that does something WINE doesn't like.

This is prolly it. But I can't open it right now to find out the version #.
phillipsjk wrote:I got that error under Window XP: the latest patch from Gearbox fixed it (Microsoft sold the rights or something).

I think it happens if you have more than 2GB or RAM.

Hmm. I have 4...

User avatar
Jorpho
Posts: 6290
Joined: Wed Dec 12, 2007 5:31 am UTC
Location: Canada

Re: WINE question

Postby Jorpho » Fri Mar 12, 2010 5:45 pm UTC

TheTedinator wrote:This is prolly it. But I can't open it right now to find out the version #.
Perhaps you should just go ahead and download and install the latest patch.

User avatar
kernelpanic
Posts: 891
Joined: Tue Oct 28, 2008 1:26 am UTC
Location: 1.6180339x10^18 attoparsecs from Earth

Re: WINE question

Postby kernelpanic » Fri Mar 12, 2010 10:54 pm UTC

TheTedinator wrote:Hmm. I have 4...

Are you on 32 or 64-bit emulation? MacOS is 64-bit, and it may be trying to allocate memory past the Win32 limit of 3 GiB.
I'm not disorganized. My room has a high entropy.
Bhelliom wrote:Don't forget that the cat probably knows EXACTLY what it is doing is is most likely just screwing with you. You know, for CAT SCIENCE!

Image

User avatar
phillipsjk
Posts: 1213
Joined: Wed Nov 05, 2008 4:09 pm UTC
Location: Edmonton AB Canada
Contact:

Re: WINE question

Postby phillipsjk » Sat Mar 13, 2010 2:23 am UTC

Latest patch is actually 1.09, not 1.08:
sawnose | Bungie.net Superuser wrote:Hi all,

Last night I decided to sit down and fix the problem where 64-bit machines with >4GB of RAM complained that you have 0 RAM. That was easy. Then when I tried to test the fix, I discovered the compat problem with the recent IE security fixes, and saw the threads here suggesting that people uninstall them.

That's no good, right?

So I put together a fix for that, too. I'd like you guys to try it out on your various systems and make sure that (a) it fixes those problems, if you had them , and (b) doesn't cause any new ones.

- Subject: Test patch 1.09 for compat fixes

List of halo patches: http://halo.wikia.com/wiki/Halo:_Combat_Evolved_(PC)_patches
Did you get the number on that truck?


Return to “The Help Desk”

Who is online

Users browsing this forum: No registered users and 3 guests